Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Attributes
HDFException Class Reference

## Detailed Description

The class HDFException returns errors from the HDF library.

Two sub-classes of HDFException are defined:

1. HDFLibraryException – errors raised the HDF library code
2. HDFJavaException – errors raised the HDF Java wrapper code

These exceptions are sub-classed to represent specific error conditions, as needed.

The only specific exception currently defined is HDFNotImplementedException, indicating a function that is part of the HDF API, but which cannot or will not be implemented for Java.

Inheritance diagram for HDFException:

## Public Member Functions
| HDFException ()
| HDFException (String message)
| HDFException (int err)
String | getMessage ()

## Static Public Attributes
static final String | OutOfMemoryMessage = "ERROR: HDF Library: Out of memory"
static final String | HDFExceptionMessage = "ERROR: HDF Library Error"
static final String | HDFMessage = "ERROR: Unknown HDF Error"

## Protected Attributes
int | HDFerror
String | detailMessage

## Constructor & Destructor Documentation

## ◆ HDFException() [1/3]

HDFException | ( |  | ) |

## ◆ HDFException() [2/3]

HDFException | ( | String | message | ) |

Constructs an `HDFException` with the specified detail message.

Parameters

  message | the detail message.

## ◆ HDFException() [3/3]

HDFException | ( | int | err | ) |

Constructs an `HDFException` with the specified error number.

Parameters

  err | the error number.

## Member Function Documentation

## ◆ getMessage()

String getMessage | ( |  | ) |

Returns the detail message of this exception

Returns
  the detail message or `null` if this object does not have a detail message.

Reimplemented in HDFLibraryException.

## Field Documentation

## ◆ detailMessage

String detailMessage
| protected

the specified detail message of this exception

## ◆ HDFerror

int HDFerror
| protected

the specified error number of this exception

## ◆ HDFExceptionMessage

final String HDFExceptionMessage = "ERROR: HDF Library Error"
| static

## ◆ HDFMessage

final String HDFMessage = "ERROR: Unknown HDF Error"
| static

## ◆ OutOfMemoryMessage

final String OutOfMemoryMessage = "ERROR: HDF Library: Out of memory"
| static

The documentation for this class was generated from the following file:

- java/src/hdf/hdflib/HDFException.java